ru.bitel.oss.systems.inventory.service.common.bean

## Class Service

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.oss.systems.inventory.service.common.bean.Service

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Idable

      public class Service
      extends Id
      implements java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `STATE_DISABLED`
    `static short` | `STATE_ENABLED`
    `static short` | `STATE_REMOVED`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Service()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Service` | `clone()`
    `int` | `getAccountId()`
    `int` | `getContractId()`
    `short` | `getDeviceState()`
    `int` | `getProductId()`
    `int` | `getServiceSpecId()`
    `java.lang.String` | `getServiceSpecTitle()`
    `java.util.Date` | `getTimeFrom()`
    `java.util.Date` | `getTimeTo()`
    `void` | `setAccountId(int accountId)`
    `void` | `setContractId(int contractId)`
    `void` | `setDeviceState(short deviceState)`
    `void` | `setProductId(int productId)`
    `void` | `setServiceSpecId(int typeId)`
    `void` | `setServiceSpecTitle(java.lang.String typeTitle)`
    `void` | `setTimeFrom(java.util.Date timeFrom)`
    `void` | `setTimeTo(java.util.Date timeTo)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATE_REMOVED

          public static short STATE_REMOVED

    - #### STATE_DISABLED

          public static short STATE_DISABLED

    - #### STATE_ENABLED

          public static short STATE_ENABLED

  - ### Constructor Detail

    - #### Service

          public Service()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getAccountId

          public int getAccountId()

    - #### setAccountId

          public void setAccountId(int accountId)

    - #### getProductId

          public int getProductId()

    - #### setProductId

          public void setProductId(int productId)

    - #### getServiceSpecId

          public int getServiceSpecId()

    - #### setServiceSpecId

          public void setServiceSpecId(int typeId)

    - #### getServiceSpecTitle

          public java.lang.String getServiceSpecTitle()

    - #### setServiceSpecTitle

          public void setServiceSpecTitle(java.lang.String typeTitle)

    - #### getTimeFrom

          public java.util.Date getTimeFrom()

    - #### setTimeFrom

          public void setTimeFrom(java.util.Date timeFrom)

    - #### getTimeTo

          public java.util.Date getTimeTo()

    - #### setTimeTo

          public void setTimeTo(java.util.Date timeTo)

    - #### getDeviceState

          public short getDeviceState()

    - #### setDeviceState

          public void setDeviceState(short deviceState)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`

    - #### clone

          public Service clone()

      Overrides:
        `clone` in class `java.lang.Object`